### Constructor

# GObject Object newv

deprecated: 2.54

#### Declaration

    GObject*
    g_object_newv (
      GType object_type,
      guint n_parameters,
      GParameter* parameters
    )

#### Description

Creates a new instance of a `GObject` subtype and sets its properties.

Construction parameters (see `G_PARAM_CONSTRUCT`, `G_PARAM_CONSTRUCT_ONLY`) which are not explicitly specified are set to their default values.

Deprecated since: 2.54

Use `g_object_new_with_properties()` instead. deprecated. See `GParameter` for more information.

#### Parameters

`object_type`

  Type: `GType`

  The type id of the `GObject` subtype to instantiate.

`n_parameters`

  Type: `guint`

  The length of the `parameters` array.

`parameters`

  Type: An array of `GParameter`

  An array of `GParameter`.

  The length of the array is specified in the `n_parameters` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `GObject`

A new instance of `object_type`.

The caller of the function takes ownership of the data, and is responsible for freeing it.